Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.http.client
Class RequestTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.http.client.RequestException
                  com.google.gwt.http.client.RequestTimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class RequestTimeoutException

extends RequestException

Thrown to indicate that an HTTP request has timed out.

### Required Module

Modules that use this class should inherit `com.google.gwt.http.HTTP`.

>     <module>
>       <!-- other inherited modules, such as com.google.gwt.user.User -->
>       <inherits name="com.google.gwt.http.HTTP"/>
>       <!-- additional module settings -->
>     </module>

See Also:
  Serialized Form

Constructor Summary
`RequestTimeoutException(Request request, int timeoutMillis)` Constructs a timeout exception for the given `Request`.

Method Summary
`Request` | `getRequest()` Returns the `Request` instance which timed out.
`int` | `getTimeoutMillis()` Returns the request timeout value in milliseconds.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestTimeoutException

    public RequestTimeoutException(Request request,
                                   int timeoutMillis)

  Constructs a timeout exception for the given `Request`.

  Parameters:
    `request` - the request which timed out
    `timeoutMillis` - the number of milliseconds which expired

Method Detail

### getRequest

    public Request getRequest()

  Returns the `Request` instance which timed out.

  Returns:
    the `Request` instance which timed out

### getTimeoutMillis

    public int getTimeoutMillis()

  Returns the request timeout value in milliseconds.

  Returns:
    the request timeout value in milliseconds

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD